Mail::MtPolicyd::Plugin(3pm)

NAME
Mail::MtPolicyd::Plugin - a base class for plugins

VERSION
version 2.05

ATTRIBUTES

  name
Contains a string with the name of this plugin as specified in the configuration.

  log_level (default: 4)
The log_level used when the plugin calls $self->log( $r, $msg ).

METHODS

  run( $r )
This method has be implemented by the plugin which inherits from this base class.

  log( $r, $msg )
This method could be used by the plugin to log something.

Since this is mostly for debugging the default is to log plugin specific messages with log_level=4. (see log_level attribute)

AUTHOR
Markus Benning <ich@markusbenning.de>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2014 by Markus Benning <ich@markusbenning.de>.

This is free software, licensed under:

  The GNU General Public License, Version 2, June 1991